net.sourceforge.pmd.lang.java

## Class JavaTokenManager

- java.lang.Object
- - net.sourceforge.pmd.lang.java.JavaTokenManager

All Implemented Interfaces:
  TokenManager

    public class JavaTokenManager
    extends Object
    implements TokenManager

Java Token Manager implementation.

### Constructor Summary

Constructors
Constructor and Description
`JavaTokenManager(Reader source)`

### Method Summary

Methods
`Object` `getNextToken()`
`void` `setFileName(String fileName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaTokenManager

    public JavaTokenManager(Reader source)

### Method Detail

#### getNextToken

    public Object getNextToken()

Specified by:
  `getNextToken` in interface `TokenManager`

#### setFileName

    public void setFileName(String fileName)

Specified by:
  `setFileName` in interface `TokenManager`